#
# spec file for package bonobo (Version 1.0.8)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  audiofile esound esound-devel gdk-pixbuf gdk-pixbuf-devel glib glib-devel gnome-libs gnome-libs-devel gnome-print gnome-print-devel gtk gtk-devel imlib imlib-devel indent libjpeg libpng libtiff libunicode libxml libxml-devel oaf oaf-devel orbit orbit-devel popt xf86
# usedforbuild    aaa_base aaa_dir audiofile autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs esound esound-devel file fileutils findutils flex gawk gcc gdbm gdbm-devel gdk-pixbuf gdk-pixbuf-devel gettext glib glib-devel glibc glibc-devel gnome-libs gnome-libs-devel gnome-print gnome-print-devel gpm gppshare grep groff gtk gtk-devel gzip imlib imlib-devel indent kbd less libjpeg libpng libtiff libtool libunicode libxml libxml-devel libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg oaf oaf-devel orbit orbit-devel pam pam-devel patch perl popt ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         bonobo
%define prefix   /opt/gnome
%define sysconfdir /etc%{prefix}
Copyright:    GPL
Group:        X11/GNOME/Base
Provides:     bonobo	
Autoreqprov:  on
Version:      1.0.8
Release:      45
Summary:      This is a set of CORBA interfaces for reusable components.
Source:	      bonobo-%{version}.tar.bz2
BuildRoot:    /var/tmp/bonobo-%{version}
URL:	      http://www.gnome.org 
Docdir:	      %{_defaultdocdir}/gnome

%description
Bonobo is a set of language and system independant CORBA interfaces
for creating reusable components (controls) and creating compound
documents.

SuSE series: gnm

%prep
%setup 

%build
CFLAGS="$RPM_OPT_FLAGS" \
  ./configure --prefix=%prefix \
    --sysconfdir=%sysconfdir 
make -s

%install
make -s DESTDIR=$RPM_BUILD_ROOT install
rm -rf $RPM_BUILD_ROOT%{prefix}/bin/*sample* 
rm -rf $RPM_BUILD_ROOT%{prefix}/bin/*test* 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc ABOUT-NLS AUTHORS COPYING NEWS README
%{prefix}/bin/bonobo*
%{prefix}/bin/echo-client
%{prefix}/bin/efstool
%{prefix}/bin/gshell
%{prefix}/lib/pkgconfig/libefs.pc
%{prefix}/lib/bonobo/monikers/*.so.*
%{prefix}/lib/bonobo/plugin/*.so*
%{prefix}/lib/*.so.*
%{prefix}/share/gnome/*/*
%{prefix}/share/idl/*
%{prefix}/share/locale/*/*/*
%{prefix}/share/oaf/*
%package devel 
Copyright:	GPL
Group:		X11/GNOME/Development
Obsoletes:	bonobod
Autoreqprov:	on
Summary:      The development files for bonobo

%description devel 
This package contains all necessary files to create GNOME components.

SuSE series: gnm


%files devel
%{prefix}/bin/*config
%{prefix}/include/*
%{prefix}/lib/*.*a
%{prefix}/lib/*.sh
%{prefix}/lib/*.so
%{prefix}/lib/bonobo/monikers/*.*a
%{prefix}/lib/bonobo/monikers/*.so
%{prefix}/lib/bonobo/plugin/*.*a
%{prefix}/share/bonobo/html

%changelog -n bonobo
* Thu Aug 23 2001 - egger@suse.de
- Updated to version 1.0.8.
* Fri Jul 06 2001 - egger@suse.de
- Updated to version 1.0.7.
- Specfile cleanups.
* Mon Jun 04 2001 - egger@suse.de
- Updated to version 1.0.4.
* Tue Feb 20 2001 - hhetter@suse.de
- Filelist corrections
* Mon Feb 19 2001 - hhetter@suse.de
- Updated to 0.37
- added GNOME_PATH for libIDL awareness
- Filelist changes and additions
* Sun Dec 24 2000 - egger@suse.de
- Changed group of developmentpackage to ...Development.
- Slimmed down #neededforbuild.
* Tue Dec 19 2000 - egger@suse.de
- Updated to version 0.30.
* Tue Nov 28 2000 - egger@suse.de
- Updated to version 0.28.
- Cleaned up specfile.
* Tue Nov 07 2000 - ro@suse.de
- fixed neededforbuild: add esound-devel
* Mon Nov 06 2000 - ro@suse.de
- fixed spec
* Mon Nov 06 2000 - ro@suse.de
- fixed to compile
* Sat Nov 04 2000 - kukuk@suse.de
- Fix typo in spec file
* Wed Nov 01 2000 - egger@suse.de
- Updated specfile to new long packagenames.
- Reworked specfile.
- Probably needs some more work; I'm taking care of that.
* Mon Oct 16 2000 - ro@suse.de
- fixed build-root
* Fri Oct 13 2000 - egger@suse.de
- Updated to version 0.20.
* Wed Oct 04 2000 - egger@suse.de
- Updated to version 0.19.
* Sun Sep 24 2000 - egger@suse.de
- Take care for the now splitted oaf package.
* Sun Sep 24 2000 - egger@suse.de
- Split package into bonobo and bonobod
* Sun Sep 24 2000 - egger@suse.de
- Use BuildRoot.
- Cleaned up specfile.
- Buildproofed on i386.
* Wed Sep 13 2000 - egger@suse.de
- added a missing file to the file-list
* Tue Sep 12 2000 - ro@suse.de
- re-generated file-list
* Tue Sep 12 2000 - ro@suse.de
- added master-include to file-list
* Mon Sep 04 2000 - egger@suse.de
- Another #neededforbuild tweak.
* Mon Sep 04 2000 - egger@suse.de
- Another #neededforbuild tweak.
* Sun Sep 03 2000 - egger@suse.de
- Added gnprint and gnprintd to the #neededforbuild requirements.
* Wed Aug 30 2000 - egger@suse.de
- Initial version of the bonobo package.
